# Uses of Enum
org.kapott.hbci.dialog.KnownDialogTemplate

Packages that use KnownDialogTemplate
Package
Description
org.kapott.hbci.dialog

## Uses of KnownDialogTemplate in org.kapott.hbci.dialog

Fields in org.kapott.hbci.dialog with type parameters of type KnownDialogTemplate
Modifier and Type
Field
Description
`static List<KnownDialogTemplate>`
KnownDialogTemplate.`LIST_SEND_SCA`
Liste der Dialoge, bei denen ein SCA-Request per HKTAN gesendet werden soll.
Methods in org.kapott.hbci.dialog that return KnownDialogTemplate
Modifier and Type
Method
Description
`KnownDialogTemplate`
AbstractRawHBCIDialog.`getTemplate()`
`KnownDialogTemplate`
RawHBCIDialog.`getTemplate()`
Liefert das Template.
`static KnownDialogTemplate`
KnownDialogTemplate.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KnownDialogTemplate[]`
KnownDialogTemplate.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.dialog with parameters of type KnownDialogTemplate
Modifier and Type
Method
Description
`void`
AbstractRawHBCIDialog.`setTemplate(KnownDialogTemplate t)`
`void`
RawHBCIDialog.`setTemplate(KnownDialogTemplate t)`
Speichert das Template.